/************************************************************************
 * 			MEKATRONIX Copyright 1998 		      *
 * Title        analogtk.c                                              *
 * Programmer   Keith L. Doty                                           *
 * Date         July 7, 1998                                        *
 * Version      1                                                       *
 *                                                                      *
 * Description								*
 *   Routines to power up the analog port and to read the 8 channels.   *
 *									*
 ************************************************************************/

#ifndef _ANALOGTK_H
#define _ANALOGTK_H

/**************************** Includes **********************************/
#include <hc11.h>
#include <mil.h>
/************************************************************************/


/**************************** Constants *********************************/

#define NADC 8            /* Number of Analog-to-Digital channels */

/************************************************************************/


/***************************** Globals **********************************/


extern unsigned int AtoD[NADC];

/*AtoD[NADC] holds the AD conversions executed by TOC5_isr every msec */


/************************************************************************/

/*************************** Prototypes *********************************/

void init_analog(void);   /* Power up A/D */
int analog(int);   	  /* Read analog channel 0<= int <= 7 */

/************************************************************************/

#endif
