/************************************************************************
 * 			MEKATRONIX Copyright 1998 		        *
 * Title        clocktk.c                                               *
 * Programmer   Keith L. Doty                                           *
 * Date         March 13, 1998                                          *
 * Version      1                                                       *
 *                                                                      *
 * Description								*
 *	This file contains all routines and interrupt drivers 	        *
 *      necessary for TALRIK clock control. The clock keeps track of    *
 *      milliseconds, seconds, minutes, hours, days and timer (timertk).*
 ************************************************************************/
#ifndef _CLOCKTK_H
#define _CLOCKTK_H

/**************************** Includes **********************************/
#include <hc11.h>
#include <mil.h>
/************************************************************************/


/**************************** Constants *********************************/


#define CLOCK_TICK 2000   /* 1msec = 2000 clock cycles for 8MHz crystal */ 

/************************************************************************/


/*************************** Prototypes *********************************/

#pragma interrupt_handler TOC5_isr
void init_clocktk(void);
void TOC5_isr(void); /*Interrupt service routine to generate clock ticks*/
void wait(int);   /* Wait for int milliseconds */

/************************************************************************/


/***************************** Globals **********************************/


extern unsigned int msec, seconds, minutes, hours, days, timertk;

/* timertk counts 65,535 milliseconds and rolls over. Can be used
   to timeout waits of up to 65.535 seconds.
 */


/************************************************************************/

#endif
