
/**********************************************************************
 * Title            isrtk.h    	     		                      *
 * Programmer       Keith L. Doty                                     *
 * Date             February 17, 1998                                 *
 * Version          1.0                                               *
 *                                                                    *
 * Description							      *
 *	This file declares nil functions for all the undeclared	      *
 *	interrupt service routines. If you define a new handler, its  *
 *	ISR name must appear in a #define below in order to bypass the* 
 *	conditional compile that will force it to be a null function. *
 *								      *
 * Version History:                                                   *
 *                                                                    *
 **********************************************************************/

/*
   The following list of #defines lists the currently used interrupt
   service routines.
*/

/* TALRIK II Motor1 handler */
#define TOC2_isr

/* TALRIK II Motor0 handler */
#define TOC3_isr

/* TALRIK II Timer handler */
#define TOC5_isr

/*
   ISR names not listed above as a #define will be compiled to a null
   function in the conditional compilation below.
*/

#ifndef SCI_isr
#pragma interrupt_handler SCI_isr;
void SCI_isr()
{/* Nil Function Declaration */}
#endif 
 	
#ifndef SPI_isr
#pragma interrupt_handler SPI_isr;
void SPI_isr()
{/* Nil Function Declaration */}
#endif 
  	
#ifndef PAIE_isr
#pragma interrupt_handler PAIE_isr;
void PAIE_isr()
{/* Nil Function Declaration */}
#endif 
 	
#ifndef PAV_isr
#pragma interrupt_handler PAV_isr;
void PAV_isr()
{/* Nil Function Declaration */}
#endif 
  	
#ifndef TOF_isr
#pragma interrupt_handler TOF_isr;
void TOF_isr()
{/* Nil Function Declaration */}
#endif 
  	
#ifndef TOC5_isr
#pragma interrupt_handler TOC5_isr;
void TOC5_isr()
{/* Nil Function Declaration */}
#endif 
 	
#ifndef TOC4_isr
#pragma interrupt_handler TOC4_isr;
void TOC4_isr()
{/* Nil Function Declaration */}
#endif 
 	
#ifndef TOC2_isr
#pragma interrupt_handler TOC2_isr;
void TOC2_isr()
{/* Nil Function Declaration */} /* Controls PWM of wheel motors */
#endif 

#ifndef TOC3_isr
#pragma interrupt_handler TOC3_isr;
void TOC3_isr()
{/* Nil Function Declaration */} /* IR detector service routine */
#endif 
	
#ifndef TOC1_isr
#pragma interrupt_handler TOC1_isr;
void TOC1_isr()
{/* Nil Function Declaration */}
#endif 
  	
#ifndef TIC3_isr
#pragma interrupt_handler TIC3_isr;
void TIC3_isr()
{/* Nil Function Declaration */}
#endif 
  	
#ifndef TIC2_isr
#pragma interrupt_handler TIC2_isr;
void TIC2_isr()
{/* Nil Function Declaration */}
#endif 
  	
#ifndef TIC1_isr
#pragma interrupt_handler TIC1_isr;
void TIC1_isr()
{/* Nil Function Declaration */}
#endif 
  	
#ifndef RTI_isr
#pragma interrupt_handler RTI_isr;
void RTI_isr()
{/* Nil Function Declaration */}
#endif 
  	
#ifndef IRQ_isr
#pragma interrupt_handler IRQ_isr;
void IRQ_isr()
{/* Nil Function Declaration */}
#endif 
  	
#ifndef XIRQ_isr
#pragma interrupt_handler XIRQ_isr;
void XIRQ_isr()
{/* Nil Function Declaration */}
#endif 
  	
#ifndef SWI_isr
#pragma interrupt_handler SWI_isr;
void SWI_isr()
{/* Nil Function Declaration */}
#endif 
  	
#ifndef ILLOP_isr
#pragma interrupt_handler ILLOP_isr;
void ILLOP_isr()
{/* Nil Function Declaration */}
#endif 
  
#ifndef COP_isr
#pragma interrupt_handler COP_isr;
void COP_isr()
{/* Nil Function Declaration */}
#endif 
  	
#ifndef CLMON_isr
#pragma interrupt_handler CLMON_isr;
void CLMON_isr()
{/* Nil Function Declaration */}
#endif



